/*
 * Licensed Materials - Property of IBM
 * 5724-Y62 WebSphere Sensor Events
 * (c) Copyright IBM Corp. 2008, 2009  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code
 * created by IBM Corporation.  This sample code is part of
 * WebSphere Sensor Events and is warranted to perform its
 * intended function only if used unmodified.  If you modify
 * this code then it is considered provided "AS IS", without
 * warranty of any kind.  Notwithstanding the foregoing, IBM
 * shall not be liable for any damages arising out of your use
 * of the sample code, even if they have been advised of the
 * possibility of such damages.
 */

package com.ibm.premises.ct.dto;

import java.io.Serializable;

/**
 * DTO for REPORT_OBSERVE table.
 */
public class ObserveReport implements Serializable {
	private static final long serialVersionUID = 1L;
	@SuppressWarnings("unused")
	public static final String COPYRIGHT = 
		"Licensed Materials - Property of IBM " +
		"5724-Y62 WebSphere Sensor Events " +
		"(c) Copyright IBM Corp. 2008, 2009  All rights reserved. " +
		"US Government Users Restricted Rights - Use, duplication or " +
		"disclosure restricted by GSA ADP Schedule Contract with IBM " +
		"Corp.";

	private String id;
	private String sessionId;
	private String recordTime;
	private String eventTime;
	private String processAction;
	private String locationUserName;
	private String supplierId;
	private String tagUrn;
	private String tagDescription;
	private String tagRawValue;
	
	protected ObserveReport() {
		this.id = "";
		this.sessionId = "";
		this.recordTime = "";
		this.eventTime = "";
		this.processAction = "";
		this.locationUserName = "";
		this.supplierId = "";
		this.tagUrn = "";
		this.tagDescription = "";
		this.tagRawValue = "";
	}
	
	public ObserveReport(String id) {
		this();
		this.setId(id);
	}

	public String getEventTime() {
		return eventTime;
	}

	public void setEventTime(String eventTime) {
		this.eventTime = eventTime;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getLocationUserName() {
		return locationUserName;
	}

	public void setLocationUserName(String locationUserName) {
		this.locationUserName = locationUserName;
	}

	public String getProcessAction() {
		return processAction;
	}

	public void setProcessAction(String processAction) {
		this.processAction = processAction;
	}

	public String getRecordTime() {
		return recordTime;
	}

	public void setRecordTime(String recordTime) {
		this.recordTime = recordTime;
	}

	public String getSessionId() {
		return sessionId;
	}

	public void setSessionId(String sessionId) {
		this.sessionId = sessionId;
	}

	public String getSupplierId() {
		return supplierId;
	}

	public void setSupplierId(String supplierId) {
		this.supplierId = supplierId;
	}
	
	public String toString() {
		return this.id;
	}

	public String getTagDescription() {
		return tagDescription;
	}

	public void setTagDescription(String tagDescription) {
		this.tagDescription = tagDescription;
	}

	public String getTagUrn() {
		return tagUrn;
	}

	public void setTagUrn(String tagUrn) {
		this.tagUrn = tagUrn;
	}

	public String getTagRawValue() {
		return tagRawValue;
	}

	public void setTagRawValue(String tagRawValue) {
		this.tagRawValue = tagRawValue;
	}

}
